Bug Hunting Session
Bug 79008 - FILESAVE: .docx with textbox and locked canvas crashes while saving in LO
Summary: FILESAVE: .docx with textbox and locked canvas crashes while saving in LO
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Dinesh
URL:
Whiteboard: BSA target:4.3.0 target:4.2.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-05-21 09:19 UTC by Dinesh
Modified: 2014-05-26 11:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File contains text-box, locked canvas (410.74 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-21 09:19 UTC, Dinesh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dinesh 2014-05-21 09:19:16 UTC
Created attachment 99487 [details]
File contains text-box, locked canvas

Problem description: 
Crash: File is getting crashed while saving in LO, as it tries to access the vector value after erasing it.

Steps to reproduce:
1. Open the file in LibreOffice
2. Click File -> Save As (Microsoft Word 2007/2010 (.docx))

Current behavior:
File is getting crash while saving in LO

Expected behavior:
File should get saved properly in LO              
Operating System: All
Version: 4.3.0.0.alpha0+ Master
Comment 1 tommy27 2014-05-21 11:43:46 UTC
reproducible under Win7x64 using  4.3.0.0.alpha1+
Build ID: 19979ae27055cb910bfc368bfc2899d211f56be1
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-21_00:29:23

no crash with 4.2.4.2, hence regression.
modified summary notes
Comment 2 Commit Notification 2014-05-22 13:47:48 UTC
Dinesh Patil committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed3fd76b65b2a281effea55b8a55101a8b740aec

fdo#79008 Crash: File getting crash while saving in LO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-05-26 09:52:36 UTC
Dinesh Patil committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55b197700b1ceb2e64b5f7c2bb227afbcad525b6&h=libreoffice-4-3

fdo#79008 Crash: File getting crash while saving in LO


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-05-26 11:23:27 UTC
Dinesh Patil committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae95cdd2a1708a8e9e114dd9bcf577f57f1f5af3&h=libreoffice-4-2

fdo#79008 Crash: File getting crash while saving in LO


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.